123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601 |
- --- expat-2.0.1.orig/configure 2007-06-05 20:19:38.000000000 +0200
- +++ expat-2.0.1/configure 2011-02-15 18:22:45.000000000 +0100
- @@ -4608,598 +4608,6 @@ fi
-
- done
-
- -ac_ext=cc
- -ac_cpp='$CXXCPP $CPPFLAGS'
- -ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
- -ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
- -ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
- -if test -n "$ac_tool_prefix"; then
- - for ac_prog in $CCC g++ c++ gpp aCC CC cxx cc++ cl FCC KCC RCC xlC_r xlC
- - do
- - # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
- -set dummy $ac_tool_prefix$ac_prog; ac_word=$2
- -echo "$as_me:$LINENO: checking for $ac_word" >&5
- -echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
- -if test "${ac_cv_prog_CXX+set}" = set; then
- - echo $ECHO_N "(cached) $ECHO_C" >&6
- -else
- - if test -n "$CXX"; then
- - ac_cv_prog_CXX="$CXX" # Let the user override the test.
- -else
- -as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
- -for as_dir in $PATH
- -do
- - IFS=$as_save_IFS
- - test -z "$as_dir" && as_dir=.
- - for ac_exec_ext in '' $ac_executable_extensions; do
- - if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
- - ac_cv_prog_CXX="$ac_tool_prefix$ac_prog"
- - echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
- - break 2
- - fi
- -done
- -done
- -
- -fi
- -fi
- -CXX=$ac_cv_prog_CXX
- -if test -n "$CXX"; then
- - echo "$as_me:$LINENO: result: $CXX" >&5
- -echo "${ECHO_T}$CXX" >&6
- -else
- - echo "$as_me:$LINENO: result: no" >&5
- -echo "${ECHO_T}no" >&6
- -fi
- -
- - test -n "$CXX" && break
- - done
- -fi
- -if test -z "$CXX"; then
- - ac_ct_CXX=$CXX
- - for ac_prog in $CCC g++ c++ gpp aCC CC cxx cc++ cl FCC KCC RCC xlC_r xlC
- -do
- - # Extract the first word of "$ac_prog", so it can be a program name with args.
- -set dummy $ac_prog; ac_word=$2
- -echo "$as_me:$LINENO: checking for $ac_word" >&5
- -echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
- -if test "${ac_cv_prog_ac_ct_CXX+set}" = set; then
- - echo $ECHO_N "(cached) $ECHO_C" >&6
- -else
- - if test -n "$ac_ct_CXX"; then
- - ac_cv_prog_ac_ct_CXX="$ac_ct_CXX" # Let the user override the test.
- -else
- -as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
- -for as_dir in $PATH
- -do
- - IFS=$as_save_IFS
- - test -z "$as_dir" && as_dir=.
- - for ac_exec_ext in '' $ac_executable_extensions; do
- - if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
- - ac_cv_prog_ac_ct_CXX="$ac_prog"
- - echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
- - break 2
- - fi
- -done
- -done
- -
- -fi
- -fi
- -ac_ct_CXX=$ac_cv_prog_ac_ct_CXX
- -if test -n "$ac_ct_CXX"; then
- - echo "$as_me:$LINENO: result: $ac_ct_CXX" >&5
- -echo "${ECHO_T}$ac_ct_CXX" >&6
- -else
- - echo "$as_me:$LINENO: result: no" >&5
- -echo "${ECHO_T}no" >&6
- -fi
- -
- - test -n "$ac_ct_CXX" && break
- -done
- -test -n "$ac_ct_CXX" || ac_ct_CXX="g++"
- -
- - CXX=$ac_ct_CXX
- -fi
- -
- -
- -# Provide some information about the compiler.
- -echo "$as_me:$LINENO:" \
- - "checking for C++ compiler version" >&5
- -ac_compiler=`set X $ac_compile; echo $2`
- -{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
- - (eval $ac_compiler --version </dev/null >&5) 2>&5
- - ac_status=$?
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); }
- -{ (eval echo "$as_me:$LINENO: \"$ac_compiler -v </dev/null >&5\"") >&5
- - (eval $ac_compiler -v </dev/null >&5) 2>&5
- - ac_status=$?
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); }
- -{ (eval echo "$as_me:$LINENO: \"$ac_compiler -V </dev/null >&5\"") >&5
- - (eval $ac_compiler -V </dev/null >&5) 2>&5
- - ac_status=$?
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); }
- -
- -echo "$as_me:$LINENO: checking whether we are using the GNU C++ compiler" >&5
- -echo $ECHO_N "checking whether we are using the GNU C++ compiler... $ECHO_C" >&6
- -if test "${ac_cv_cxx_compiler_gnu+set}" = set; then
- - echo $ECHO_N "(cached) $ECHO_C" >&6
- -else
- - cat >conftest.$ac_ext <<_ACEOF
- -/* confdefs.h. */
- -_ACEOF
- -cat confdefs.h >>conftest.$ac_ext
- -cat >>conftest.$ac_ext <<_ACEOF
- -/* end confdefs.h. */
- -
- -int
- -main ()
- -{
- -#ifndef __GNUC__
- - choke me
- -#endif
- -
- - ;
- - return 0;
- -}
- -_ACEOF
- -rm -f conftest.$ac_objext
- -if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- - (eval $ac_compile) 2>conftest.er1
- - ac_status=$?
- - grep -v '^ *+' conftest.er1 >conftest.err
- - rm -f conftest.er1
- - cat conftest.err >&5
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); } &&
- - { ac_try='test -z "$ac_cxx_werror_flag"
- - || test ! -s conftest.err'
- - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- - (eval $ac_try) 2>&5
- - ac_status=$?
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); }; } &&
- - { ac_try='test -s conftest.$ac_objext'
- - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- - (eval $ac_try) 2>&5
- - ac_status=$?
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); }; }; then
- - ac_compiler_gnu=yes
- -else
- - echo "$as_me: failed program was:" >&5
- -sed 's/^/| /' conftest.$ac_ext >&5
- -
- -ac_compiler_gnu=no
- -fi
- -rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- -ac_cv_cxx_compiler_gnu=$ac_compiler_gnu
- -
- -fi
- -echo "$as_me:$LINENO: result: $ac_cv_cxx_compiler_gnu" >&5
- -echo "${ECHO_T}$ac_cv_cxx_compiler_gnu" >&6
- -GXX=`test $ac_compiler_gnu = yes && echo yes`
- -ac_test_CXXFLAGS=${CXXFLAGS+set}
- -ac_save_CXXFLAGS=$CXXFLAGS
- -CXXFLAGS="-g"
- -echo "$as_me:$LINENO: checking whether $CXX accepts -g" >&5
- -echo $ECHO_N "checking whether $CXX accepts -g... $ECHO_C" >&6
- -if test "${ac_cv_prog_cxx_g+set}" = set; then
- - echo $ECHO_N "(cached) $ECHO_C" >&6
- -else
- - cat >conftest.$ac_ext <<_ACEOF
- -/* confdefs.h. */
- -_ACEOF
- -cat confdefs.h >>conftest.$ac_ext
- -cat >>conftest.$ac_ext <<_ACEOF
- -/* end confdefs.h. */
- -
- -int
- -main ()
- -{
- -
- - ;
- - return 0;
- -}
- -_ACEOF
- -rm -f conftest.$ac_objext
- -if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- - (eval $ac_compile) 2>conftest.er1
- - ac_status=$?
- - grep -v '^ *+' conftest.er1 >conftest.err
- - rm -f conftest.er1
- - cat conftest.err >&5
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); } &&
- - { ac_try='test -z "$ac_cxx_werror_flag"
- - || test ! -s conftest.err'
- - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- - (eval $ac_try) 2>&5
- - ac_status=$?
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); }; } &&
- - { ac_try='test -s conftest.$ac_objext'
- - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- - (eval $ac_try) 2>&5
- - ac_status=$?
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); }; }; then
- - ac_cv_prog_cxx_g=yes
- -else
- - echo "$as_me: failed program was:" >&5
- -sed 's/^/| /' conftest.$ac_ext >&5
- -
- -ac_cv_prog_cxx_g=no
- -fi
- -rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- -fi
- -echo "$as_me:$LINENO: result: $ac_cv_prog_cxx_g" >&5
- -echo "${ECHO_T}$ac_cv_prog_cxx_g" >&6
- -if test "$ac_test_CXXFLAGS" = set; then
- - CXXFLAGS=$ac_save_CXXFLAGS
- -elif test $ac_cv_prog_cxx_g = yes; then
- - if test "$GXX" = yes; then
- - CXXFLAGS="-g -O2"
- - else
- - CXXFLAGS="-g"
- - fi
- -else
- - if test "$GXX" = yes; then
- - CXXFLAGS="-O2"
- - else
- - CXXFLAGS=
- - fi
- -fi
- -for ac_declaration in \
- - '' \
- - 'extern "C" void std::exit (int) throw (); using std::exit;' \
- - 'extern "C" void std::exit (int); using std::exit;' \
- - 'extern "C" void exit (int) throw ();' \
- - 'extern "C" void exit (int);' \
- - 'void exit (int);'
- -do
- - cat >conftest.$ac_ext <<_ACEOF
- -/* confdefs.h. */
- -_ACEOF
- -cat confdefs.h >>conftest.$ac_ext
- -cat >>conftest.$ac_ext <<_ACEOF
- -/* end confdefs.h. */
- -$ac_declaration
- -#include <stdlib.h>
- -int
- -main ()
- -{
- -exit (42);
- - ;
- - return 0;
- -}
- -_ACEOF
- -rm -f conftest.$ac_objext
- -if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- - (eval $ac_compile) 2>conftest.er1
- - ac_status=$?
- - grep -v '^ *+' conftest.er1 >conftest.err
- - rm -f conftest.er1
- - cat conftest.err >&5
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); } &&
- - { ac_try='test -z "$ac_cxx_werror_flag"
- - || test ! -s conftest.err'
- - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- - (eval $ac_try) 2>&5
- - ac_status=$?
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); }; } &&
- - { ac_try='test -s conftest.$ac_objext'
- - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- - (eval $ac_try) 2>&5
- - ac_status=$?
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); }; }; then
- - :
- -else
- - echo "$as_me: failed program was:" >&5
- -sed 's/^/| /' conftest.$ac_ext >&5
- -
- -continue
- -fi
- -rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- - cat >conftest.$ac_ext <<_ACEOF
- -/* confdefs.h. */
- -_ACEOF
- -cat confdefs.h >>conftest.$ac_ext
- -cat >>conftest.$ac_ext <<_ACEOF
- -/* end confdefs.h. */
- -$ac_declaration
- -int
- -main ()
- -{
- -exit (42);
- - ;
- - return 0;
- -}
- -_ACEOF
- -rm -f conftest.$ac_objext
- -if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- - (eval $ac_compile) 2>conftest.er1
- - ac_status=$?
- - grep -v '^ *+' conftest.er1 >conftest.err
- - rm -f conftest.er1
- - cat conftest.err >&5
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); } &&
- - { ac_try='test -z "$ac_cxx_werror_flag"
- - || test ! -s conftest.err'
- - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- - (eval $ac_try) 2>&5
- - ac_status=$?
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); }; } &&
- - { ac_try='test -s conftest.$ac_objext'
- - { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- - (eval $ac_try) 2>&5
- - ac_status=$?
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); }; }; then
- - break
- -else
- - echo "$as_me: failed program was:" >&5
- -sed 's/^/| /' conftest.$ac_ext >&5
- -
- -fi
- -rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- -done
- -rm -f conftest*
- -if test -n "$ac_declaration"; then
- - echo '#ifdef __cplusplus' >>confdefs.h
- - echo $ac_declaration >>confdefs.h
- - echo '#endif' >>confdefs.h
- -fi
- -
- -ac_ext=cc
- -ac_cpp='$CXXCPP $CPPFLAGS'
- -ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
- -ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
- -ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
- -
- -
- -
- -if test -n "$CXX" && ( test "X$CXX" != "Xno" &&
- - ( (test "X$CXX" = "Xg++" && `g++ -v >/dev/null 2>&1` ) ||
- - (test "X$CXX" != "Xg++"))) ; then
- - ac_ext=cc
- -ac_cpp='$CXXCPP $CPPFLAGS'
- -ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
- -ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
- -ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
- -echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
- -echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
- -if test -z "$CXXCPP"; then
- - if test "${ac_cv_prog_CXXCPP+set}" = set; then
- - echo $ECHO_N "(cached) $ECHO_C" >&6
- -else
- - # Double quotes because CXXCPP needs to be expanded
- - for CXXCPP in "$CXX -E" "/lib/cpp"
- - do
- - ac_preproc_ok=false
- -for ac_cxx_preproc_warn_flag in '' yes
- -do
- - # Use a header file that comes with gcc, so configuring glibc
- - # with a fresh cross-compiler works.
- - # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
- - # <limits.h> exists even on freestanding compilers.
- - # On the NeXT, cc -E runs the code through the compiler's parser,
- - # not just through cpp. "Syntax error" is here to catch this case.
- - cat >conftest.$ac_ext <<_ACEOF
- -/* confdefs.h. */
- -_ACEOF
- -cat confdefs.h >>conftest.$ac_ext
- -cat >>conftest.$ac_ext <<_ACEOF
- -/* end confdefs.h. */
- -#ifdef __STDC__
- -# include <limits.h>
- -#else
- -# include <assert.h>
- -#endif
- - Syntax error
- -_ACEOF
- -if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- - (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- - ac_status=$?
- - grep -v '^ *+' conftest.er1 >conftest.err
- - rm -f conftest.er1
- - cat conftest.err >&5
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); } >/dev/null; then
- - if test -s conftest.err; then
- - ac_cpp_err=$ac_cxx_preproc_warn_flag
- - ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
- - else
- - ac_cpp_err=
- - fi
- -else
- - ac_cpp_err=yes
- -fi
- -if test -z "$ac_cpp_err"; then
- - :
- -else
- - echo "$as_me: failed program was:" >&5
- -sed 's/^/| /' conftest.$ac_ext >&5
- -
- - # Broken: fails on valid input.
- -continue
- -fi
- -rm -f conftest.err conftest.$ac_ext
- -
- - # OK, works on sane cases. Now check whether non-existent headers
- - # can be detected and how.
- - cat >conftest.$ac_ext <<_ACEOF
- -/* confdefs.h. */
- -_ACEOF
- -cat confdefs.h >>conftest.$ac_ext
- -cat >>conftest.$ac_ext <<_ACEOF
- -/* end confdefs.h. */
- -#include <ac_nonexistent.h>
- -_ACEOF
- -if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- - (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- - ac_status=$?
- - grep -v '^ *+' conftest.er1 >conftest.err
- - rm -f conftest.er1
- - cat conftest.err >&5
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); } >/dev/null; then
- - if test -s conftest.err; then
- - ac_cpp_err=$ac_cxx_preproc_warn_flag
- - ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
- - else
- - ac_cpp_err=
- - fi
- -else
- - ac_cpp_err=yes
- -fi
- -if test -z "$ac_cpp_err"; then
- - # Broken: success on invalid input.
- -continue
- -else
- - echo "$as_me: failed program was:" >&5
- -sed 's/^/| /' conftest.$ac_ext >&5
- -
- - # Passes both tests.
- -ac_preproc_ok=:
- -break
- -fi
- -rm -f conftest.err conftest.$ac_ext
- -
- -done
- -# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
- -rm -f conftest.err conftest.$ac_ext
- -if $ac_preproc_ok; then
- - break
- -fi
- -
- - done
- - ac_cv_prog_CXXCPP=$CXXCPP
- -
- -fi
- - CXXCPP=$ac_cv_prog_CXXCPP
- -else
- - ac_cv_prog_CXXCPP=$CXXCPP
- -fi
- -echo "$as_me:$LINENO: result: $CXXCPP" >&5
- -echo "${ECHO_T}$CXXCPP" >&6
- -ac_preproc_ok=false
- -for ac_cxx_preproc_warn_flag in '' yes
- -do
- - # Use a header file that comes with gcc, so configuring glibc
- - # with a fresh cross-compiler works.
- - # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
- - # <limits.h> exists even on freestanding compilers.
- - # On the NeXT, cc -E runs the code through the compiler's parser,
- - # not just through cpp. "Syntax error" is here to catch this case.
- - cat >conftest.$ac_ext <<_ACEOF
- -/* confdefs.h. */
- -_ACEOF
- -cat confdefs.h >>conftest.$ac_ext
- -cat >>conftest.$ac_ext <<_ACEOF
- -/* end confdefs.h. */
- -#ifdef __STDC__
- -# include <limits.h>
- -#else
- -# include <assert.h>
- -#endif
- - Syntax error
- -_ACEOF
- -if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- - (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- - ac_status=$?
- - grep -v '^ *+' conftest.er1 >conftest.err
- - rm -f conftest.er1
- - cat conftest.err >&5
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); } >/dev/null; then
- - if test -s conftest.err; then
- - ac_cpp_err=$ac_cxx_preproc_warn_flag
- - ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
- - else
- - ac_cpp_err=
- - fi
- -else
- - ac_cpp_err=yes
- -fi
- -if test -z "$ac_cpp_err"; then
- - :
- -else
- - echo "$as_me: failed program was:" >&5
- -sed 's/^/| /' conftest.$ac_ext >&5
- -
- - # Broken: fails on valid input.
- -continue
- -fi
- -rm -f conftest.err conftest.$ac_ext
- -
- - # OK, works on sane cases. Now check whether non-existent headers
- - # can be detected and how.
- - cat >conftest.$ac_ext <<_ACEOF
- -/* confdefs.h. */
- -_ACEOF
- -cat confdefs.h >>conftest.$ac_ext
- -cat >>conftest.$ac_ext <<_ACEOF
- -/* end confdefs.h. */
- -#include <ac_nonexistent.h>
- -_ACEOF
- -if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- - (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- - ac_status=$?
- - grep -v '^ *+' conftest.er1 >conftest.err
- - rm -f conftest.er1
- - cat conftest.err >&5
- - echo "$as_me:$LINENO: \$? = $ac_status" >&5
- - (exit $ac_status); } >/dev/null; then
- - if test -s conftest.err; then
- - ac_cpp_err=$ac_cxx_preproc_warn_flag
- - ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
- - else
- - ac_cpp_err=
- - fi
- -else
- - ac_cpp_err=yes
- -fi
- -if test -z "$ac_cpp_err"; then
- - # Broken: success on invalid input.
- -continue
- -else
- - echo "$as_me: failed program was:" >&5
- -sed 's/^/| /' conftest.$ac_ext >&5
- -
- - # Passes both tests.
- -ac_preproc_ok=:
- -break
- -fi
- -rm -f conftest.err conftest.$ac_ext
- -
- -done
- -# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
- -rm -f conftest.err conftest.$ac_ext
- -if $ac_preproc_ok; then
- - :
- -else
- - { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
- -See \`config.log' for more details." >&5
- -echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
- -See \`config.log' for more details." >&2;}
- - { (exit 1); exit 1; }; }
- -fi
- -
- -ac_ext=cc
- -ac_cpp='$CXXCPP $CPPFLAGS'
- -ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
- -ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
- -ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
- -
- -fi
- -
-
- ac_ext=f
- ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
|